summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Audrius Kažukauskas <neobug@tornado.ktu.lt>2010-05-11 14:55:16 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:55:16 +0200
commitfdb8fac77cc9addc29479801ee5fed6ab1c3b244 (patch)
tree3d9bf3293d19b2742442352f740ed069e10f7479 /graphics
parent00ac0880373bd1b2648fcf41442012ffed9e66fe (diff)
downloadslackbuilds-fdb8fac77cc9addc29479801ee5fed6ab1c3b244.tar.gz
slackbuilds-fdb8fac77cc9addc29479801ee5fed6ab1c3b244.tar.xz
graphics/graphviz: Initial import
Diffstat (limited to 'graphics')
-rw-r--r--graphics/graphviz/README11
-rw-r--r--graphics/graphviz/doinst.sh3
-rw-r--r--graphics/graphviz/graphviz.SlackBuild66
-rw-r--r--graphics/graphviz/graphviz.info8
-rw-r--r--graphics/graphviz/slack-desc11
5 files changed, 99 insertions, 0 deletions
diff --git a/graphics/graphviz/README b/graphics/graphviz/README
new file mode 100644
index 0000000000..dbcfcd959b
--- /dev/null
+++ b/graphics/graphviz/README
@@ -0,0 +1,11 @@
+Graphviz is open source graph visualization software. It has several main
+graph layout programs. It also has web and interactive graphical interfaces,
+and auxiliary tools, libraries, and language bindings.
+
+Graph visualization is a way of representing structural information as diagrams
+of abstract graphs and networks. Automatic graph drawing has many important
+applications in software engineering, database and web design, networking, and
+in visual interfaces for many other domains.
+
+This requires SWIG for building language bindings (available at
+SlackBuilds.org).
diff --git a/graphics/graphviz/doinst.sh b/graphics/graphviz/doinst.sh
new file mode 100644
index 0000000000..9d8f36ddf7
--- /dev/null
+++ b/graphics/graphviz/doinst.sh
@@ -0,0 +1,3 @@
+# Configure plugins (writes $prefix/lib/graphviz/config with available plugin
+# information)
+dot -c
diff --git a/graphics/graphviz/graphviz.SlackBuild b/graphics/graphviz/graphviz.SlackBuild
new file mode 100644
index 0000000000..5aa299a41b
--- /dev/null
+++ b/graphics/graphviz/graphviz.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for graphviz
+
+# Written by Audrius Kažukauskas
+
+# Exit on most errors
+set -e
+
+PRGNAM=graphviz
+VERSION=2.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $PKG $PKG $OUTPUT
+cd $TMP
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-mylibgd \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+# Remove empty directories of language bindings that are absent
+find $PKG/usr/lib/graphviz -depth -type d -empty -exec rmdir {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/$PRGNAM/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share/$PRGNAM/doc/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/graphviz/graphviz.info b/graphics/graphviz/graphviz.info
new file mode 100644
index 0000000000..02224901bd
--- /dev/null
+++ b/graphics/graphviz/graphviz.info
@@ -0,0 +1,8 @@
+PRGNAM="graphviz"
+VERSION="2.12"
+HOMEPAGE="http://graphviz.org/"
+DOWNLOAD="http://graphviz.org/pub/graphviz/ARCHIVE/graphviz-2.12.tar.gz"
+MD5SUM="e5547bc0ec47943c72f5c3e2b5dff58f"
+MAINTAINER="Audrius Kazukauskas"
+EMAIL="neobug@tornado.ktu.lt"
+APPROVED="BP{k}" \ No newline at end of file
diff --git a/graphics/graphviz/slack-desc b/graphics/graphviz/slack-desc
new file mode 100644
index 0000000000..52ecdfca23
--- /dev/null
+++ b/graphics/graphviz/slack-desc
@@ -0,0 +1,11 @@
+graphviz: Graphviz (Graph Visualization)
+graphviz:
+graphviz: Graphviz is open source graph visualization software. It has
+graphviz: several main graph layout programs. It also has web and
+graphviz: interactive graphical interfaces, and auxiliary tools, libraries,
+graphviz: and language bindings.
+graphviz:
+graphviz: Homepage: http://graphviz.org/
+graphviz:
+graphviz:
+graphviz: